Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1514676

Summary: Review Request: ghc-erf - The error function, erf, and related functions
Product: [Fedora] Fedora Reporter: Elliott Sales de Andrade <quantum.analyst>
Component: Package ReviewAssignee: Robert-André Mauchin <zebob.m>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: package-review, zebob.m
Target Milestone: ---Flags: zebob.m: fedora-review+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-01-02 16:23:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 1520204    

Description Elliott Sales de Andrade 2017-11-18 01:19:52 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-erf.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-erf-2.0.0.0-1.fc26.src.rpm

Description:
A type class for the error function, erf, and related functions.
Instances for Float and Double.

Comment 1 Elliott Sales de Andrade 2017-11-18 01:19:56 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23189061

Comment 2 Robert-André Mauchin 2017-11-18 11:12:04 UTC
Consider asking upstream for a license file.

Package accepted.

Comment 3 Gwyn Ciesla 2017-11-20 14:53:15 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-erf

Comment 4 Fedora Update System 2017-12-18 20:55:59 UTC
ghc-criterion-1.2.6.0-2.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-foldl-1.3.4-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 ghc-text-short-0.1.1-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-hostname-1.0-1.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-Only-0.1-1.fc27 ghc-Glob-0.9.1-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-turtle-1.4.5-1.fc27 bench-1.0.7-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 5 Fedora Update System 2017-12-18 20:58:23 UTC
ghc-vector-th-unbox-0.2.1.6-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-turtle-1.4.5-1.fc26 ghc-text-short-0.1.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-hostname-1.0-1.fc26 ghc-Glob-0.9.1-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-code-page-0.1.3-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-abstract-deque-0.3-1.fc26 bench-1.0.7-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 6 Fedora Update System 2017-12-19 22:48:24 UTC
bench-1.0.7-1.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.4.5-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 7 Fedora Update System 2017-12-19 23:01:41 UTC
bench-1.0.7-2.fc27 ghc-Glob-0.9.1-1.fc27 ghc-Only-0.1-1.fc27 ghc-abstract-deque-0.3-1.fc27 ghc-abstract-par-0.3.3-1.fc27 ghc-base-prelude-1.2.0.1-1.fc27 ghc-cassava-0.5.1.0-1.fc27 ghc-code-page-0.1.3-1.fc27 ghc-criterion-1.2.6.0-2.fc27 ghc-erf-2.0.0.0-1.fc27 ghc-foldl-1.3.4-1.fc27 ghc-hostname-1.0-1.fc27 ghc-managed-1.0.5-1.fc27 ghc-math-functions-0.2.1.0-1.fc27 ghc-microstache-1.0.1.1-1.fc27 ghc-monad-par-0.3.4.8-1.fc27 ghc-monad-par-extras-0.3.3-1.fc27 ghc-optional-args-1.0.1-1.fc27 ghc-statistics-0.14.0.2-2.fc27 ghc-text-short-0.1.1-1.fc27 ghc-turtle-1.5.0-1.fc27 ghc-vector-builder-0.3.4.1-1.fc27 ghc-vector-th-unbox-0.2.1.6-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 8 Fedora Update System 2017-12-19 23:42:45 UTC
bench-1.0.7-1.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.4.5-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 9 Fedora Update System 2017-12-19 23:49:07 UTC
bench-1.0.7-2.fc26 ghc-Glob-0.9.1-1.fc26 ghc-Only-0.1-1.fc26 ghc-abstract-deque-0.3-1.fc26 ghc-abstract-par-0.3.3-1.fc26 ghc-base-prelude-1.2.0.1-1.fc26 ghc-cassava-0.5.1.0-1.fc26 ghc-code-page-0.1.3-1.fc26 ghc-criterion-1.2.6.0-2.fc26 ghc-erf-2.0.0.0-1.fc26 ghc-foldl-1.3.4-1.fc26 ghc-hostname-1.0-1.fc26 ghc-managed-1.0.5-1.fc26 ghc-math-functions-0.2.1.0-1.fc26 ghc-microstache-1.0.1.1-1.fc26 ghc-monad-par-0.3.4.8-1.fc26 ghc-monad-par-extras-0.3.3-1.fc26 ghc-optional-args-1.0.1-1.fc26 ghc-statistics-0.14.0.2-2.fc26 ghc-text-short-0.1.1-1.fc26 ghc-turtle-1.5.0-1.fc26 ghc-vector-builder-0.3.4.1-1.fc26 ghc-vector-th-unbox-0.2.1.6-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 10 Fedora Update System 2017-12-21 20:24:10 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-637e0413b0

Comment 11 Fedora Update System 2017-12-21 21:09:30 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddfb9c3cc5

Comment 12 Fedora Update System 2018-01-02 16:23:36 UTC
bench-1.0.7-2.fc26, ghc-Glob-0.9.1-1.fc26, ghc-Only-0.1-1.fc26, ghc-abstract-deque-0.3-1.fc26, ghc-abstract-par-0.3.3-1.fc26, ghc-base-prelude-1.2.0.1-1.fc26, ghc-cassava-0.5.1.0-1.fc26, ghc-code-page-0.1.3-1.fc26, ghc-criterion-1.2.6.0-2.fc26, ghc-erf-2.0.0.0-1.fc26, ghc-foldl-1.3.4-1.fc26, ghc-hostname-1.0-1.fc26, ghc-managed-1.0.5-1.fc26, ghc-math-functions-0.2.1.0-1.fc26, ghc-microstache-1.0.1.1-1.fc26, ghc-monad-par-0.3.4.8-1.fc26, ghc-monad-par-extras-0.3.3-1.fc26, ghc-optional-args-1.0.1-1.fc26, ghc-statistics-0.14.0.2-2.fc26, ghc-text-short-0.1.1-1.fc26, ghc-turtle-1.5.0-1.fc26, ghc-vector-builder-0.3.4.1-1.fc26, ghc-vector-th-unbox-0.2.1.6-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-02 16:51:37 UTC
bench-1.0.7-2.fc27, ghc-Glob-0.9.1-1.fc27, ghc-Only-0.1-1.fc27, ghc-abstract-deque-0.3-1.fc27, ghc-abstract-par-0.3.3-1.fc27, ghc-base-prelude-1.2.0.1-1.fc27, ghc-cassava-0.5.1.0-1.fc27, ghc-code-page-0.1.3-1.fc27, ghc-criterion-1.2.6.0-2.fc27, ghc-erf-2.0.0.0-1.fc27, ghc-foldl-1.3.4-1.fc27, ghc-hostname-1.0-1.fc27, ghc-managed-1.0.5-1.fc27, ghc-math-functions-0.2.1.0-1.fc27, ghc-microstache-1.0.1.1-1.fc27, ghc-monad-par-0.3.4.8-1.fc27, ghc-monad-par-extras-0.3.3-1.fc27, ghc-optional-args-1.0.1-1.fc27, ghc-statistics-0.14.0.2-2.fc27, ghc-text-short-0.1.1-1.fc27, ghc-turtle-1.5.0-1.fc27, ghc-vector-builder-0.3.4.1-1.fc27, ghc-vector-th-unbox-0.2.1.6-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.